DefinedElement (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.DefinedElement class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class DefinedElement

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Element
                  org.apache.axis.wsdl.symbolTable.DefinedElement

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollectionElement

public class DefinedElement
extends Element

This Type is for a QName that is an element, these types are only emitted if referenced by a ref= or an element=. An element type can be defined inline or it can be defined via a ref/type attribute.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`DefinedElement(QName pqName, org.w3c.dom.Node pNode)` Create an element type defined directly.
`DefinedElement(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Create an element type defined by a ref/type attribute

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefinedElement

    public DefinedElement(QName pqName,
                          TypeEntry refType,
                          org.w3c.dom.Node pNode,
                          java.lang.String dims)

  Create an element type defined by a ref/type attribute

Parameters:
  `pqName` -
  `refType` -
  `pNode` -
  `dims` -

### DefinedElement

    public DefinedElement(QName pqName,
                          org.w3c.dom.Node pNode)

  Create an element type defined directly.

Parameters:
  `pqName` -
  `pNode` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.